The Lord of the rings Online

Informations

Creator Message
falgn0n

Information

This installer has been approved by the team.

Informations

Platforms:
Downloads: 344
Wine: 4.0.3

Feedbacks

Description

Free MMO RPG, 2007. Wikipedia.

Notes: this game need at leat 20 GB of disk space (+ 6 GB for high resolution graphics). Once installed (at least 1 hour), it will check files from 'Akamai', after 20 min of the same screen ('Retrieving content list from Akamai...'), you may kill the Wine process (named 'LotroLauncher').

Warning: because this game does auto update online, the compatibility might break some day.

 PCGamingWiki

Screenshots

MiniatureMiniature

Source code

#!/bin/bash
# Date : (2019-12-23)
# Last revision : see the changelog below
# Wine version used : see the changelog below
# Distribution used to test : Ubuntu 19.04 x64
# Author : Dadu042
# Licence : Retail
# Only For : http://www.playonlinux.com
#
# TESTED Editions: Standalone LOTRO client 2019-12-23.
#
# Middlewares used by this software : vcrun2005, vcrun2010, DirectX 9.0c (+ d3dcompiler_47).
#
# CHANGELOG:
# [Dadu042] (2019-12-23 20:55)
#   First script. I played 10 min, without any vcrun not directx files installed.
# [Dadu042] (2019-12-23 22:15)
#   Add comments.
# [Dadu042] (2019-12-23 22:20)
#   Enable GPU selection.
#   Add riched30 (because of error messages in the begin of the log).
# [Dadu042] (2019-12-24 00:40)
#   Remove riched30 because it break the agreement window (can not check '[x] Agree').
#   Wine 4.0.3 -> 4.21
# [Dadu042] (2019-12-24 09:30)
#   Wine 4.21 -> 4.0.3 Because once installed the game does not run.
#
# KNOWN ISSUES
#  - Wine x86 4.0.3: POL_Install_riched30 makes more problem than help (agrement window fail to work fine: I can not check [x] Accept).
#  - Wine x86 4.21: after installion, the game does not launch (err:module:import_dll Library Qt...). Perhaps the installation was not successful.
   
[ "$PLAYONLINUX" = "" ] && exit 0
source "$PLAYONLINUX/lib/sources"
      
TITLE="The Lord of the rings Online"
PREFIX="LOTRO"
EDITOR="Several"
GAME_URL="https://en.wikipedia.org/wiki/The_Lord_of_the_Rings_Online"
AUTHOR="Dadu042"
STEAM_ID=""
WORKING_WINE_VERSION="4.0.3"
GAME_VMS="256"
SHORTCUT_FILENAME="LotroLauncher.exe"
SOFTWARE_CATEGORIES="Game;RolePlaying;"
# http://wiki.playonlinux.com/index.php/Scripting_-_Chapter_9:_Standardization#Advanced_Standardization
DOCUMENT_FILE="readme.txt"
 
# Starting the script
POL_SetupWindow_Init
         
# Starting debugging API
POL_Debug_Init
        
# Open dialogue box 
POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
      
# POL_SetupWindow_message "$(eval_gettext 'WARNING: this software does exist in Linux native version.\n\nThis script only allow to run the Windows version on Linux, please prefer the Linux edition for better 3D speed.')" "$TITLE"
      
# POL_SetupWindow_message "$(eval_gettext 'This game requires a fast 3D GPU (ie: Intel HD Graphics 4440 is not enough).')" "$TITLE"
       
POL_RequiredVersion "4.3.4" || POL_Debug_Fatal "$APPLICATION_TITLE $VERSION is required to install $TITLE"
  
# Setting prefix path
POL_Wine_SelectPrefix "$PREFIX"
        
# Determine Architecture
# POL_System_SetArch "amd64"
POL_System_SetArch "x86"
   
# Downloading wine if necessary and creating prefix
POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"
      
Set_OS "win7"
 
#######################################
#  Installing mandatory dependencies  #
#######################################

POL_Call POL_Install_corefonts
# POL_Call POL_Install_riched30

# POL_Call POL_Install_dsound
# POL_Call POL_Install_physx
# POL_Call POL_Install_d3dx11
# POL_Call POL_Install_mono210
 
 
################
#      GPU     #
################
   
# Set Graphic Card information keys for wine
POL_Wine_SetVideoDriver

# Asking about memory size of graphic card
POL_SetupWindow_VMS $GAME_VMS
   
# Useful for Nvidia GPUs
# POL_Call POL_Install_physx
 
 
#############################################
#  Sound problem fix - pulseaudio related   #
#############################################
# [ "$POL_OS" = "Linux" ] && Set_SoundDriver "alsa"
# [ "$POL_OS" = "Linux" ] && Set_SoundEmulDriver "Y"
## End Fix
 
 
# Choose between Steam and other Digital Download versions
# POL_SetupWindow_InstallMethod "STEAM,DVD,LOCAL,DOWNLOAD"
POL_SetupWindow_InstallMethod "LOCAL,DOWNLOAD"
  
POL_SetupWindow_message "Notes: \n- do always prefer DirectX 9\n- when installation ends, do not run the game, close it.\n" "$TITLE"
     
# Begin game installation
if [ "$INSTALL_METHOD" == "STEAM" ]; then
        POL_Call POL_Install_steam
        # Mandatory pre-install fix for steam
        POL_Call POL_Install_steam_flags "$STEAM_ID"
        # Shortcut done before install for steam version
        POL_Shortcut "steam.exe" "$TITLE" "" "steam://rungameid/$STEAM_ID"
        # Steam install
        POL_SetupWindow_message "$(eval_gettext 'When $TITLE download by Steam is finished,\nDo NOT click on Play.\n\nClose COMPLETELY the Steam interface, \nso that the installation script can continue')" "$TITLE"
        cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Steam"
        POL_Wine start /unix "steam.exe" steam://install/$STEAM_ID
        POL_Wine_WaitExit "$TITLE"
      
elif [ "$INSTALL_METHOD" == "DVD" ]; then
        POL_SetupWindow_cdrom
      
        POL_SetupWindow_check_cdrom "autorun/af3_bkgd.bmp"
        POL_Wine start /unix "$CDROM/autorun/autorun.exe"
        POL_Wine_WaitExit "autorun.exe"
  
        # Restore screen resolution (game's default is 800x600 ?)
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
     
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
      
elif [ "$INSTALL_METHOD" == "DOWNLOAD" ]; then
        cd "$WINEPREFIX/drive_c"
        POL_Download "http://content.turbine.com/sites/clientdl/lotro/lotrolive.exe"
        # POL_SetupWindow_message "$(eval_gettext 'Note: we recommend you to uncheck all the checkboxes:\n[x] -> [ ]')" "$TITLE"
        POL_Wine "lotrolive.exe" # "/SILENT"
        POL_Wine_WaitBefore "$TITLE"
        # POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
  
        # Restore screen resolution (game's default is 1024x768)
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
  
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        # POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
 
elif [ "$INSTALL_METHOD" == "LOCAL" ]; then
        # POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.EXE')~$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
        # POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.EXE')~$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
        APP_ANSWER=".EXE"
 
if [ "$APP_ANSWER" == ".EXE" ]; then
        # Asking then installing local files of the game
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        POL_Wine start /unix "$SETUP_EXE"
        POL_Wine_WaitExit "$TITLE"
   
        # Restore screen resolution (game's default is 1024x768)
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
   
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        # POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
  
elif [ "$APP_ANSWER" == "$(eval_gettext '.ZIP')" ]; then
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the .ZIP file')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        cd "$POL_System_TmpDir"
        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        POL_System_unzip "$APP_ANSWER" -d "$WINEPREFIX/drive_c/"
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
               
elif [ "$APP_ANSWER" == "$(eval_gettext '.RAR')" ]; then
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the .RAR file')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        cd "$POL_System_TmpDir"
        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        POL_System_unrar x "$APP_ANSWER" "$WINEPREFIX/drive_c/" || POL_Debug_Fatal "unrar is required to unarchive $TITLE (unrar package is not installed on the OS)."
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
fi
fi
 
################
# Patch update #
################
 
# POL_SetupWindow_menu "$(eval_gettext 'Do you want to install a official patch-update ?\n (to download by yourself).')" "$TITLE" "$(eval_gettext 'Yes')~$(eval_gettext 'No')" "~"
   
if [ "$APP_ANSWER" == "$(eval_gettext 'Yes')" ]; then
        POL_SetupWindow_browse "$(eval_gettext 'Please select the file to run')" "$TITLE"
        PATCH_EXE="$APP_ANSWER"
        POL_Wine start /unix "$PATCH_EXE"
        POL_Wine_WaitExit "$PATCH_EXE"
fi
 
 
# POL_SetupWindow_message "$(eval_gettext '\nInstallation is finished ! :)')" "$TITLE"
 
POL_SetupWindow_message "$(eval_gettext 'WARNING: to avoid to have huge log file, you should type \ninto Debug flags : fixme-all')" "$TITLE"
      
POL_SetupWindow_Close
exit 0

Contributions

Filters:

Contribute
Member Message
Dadu042 Tuesday 24 December 2019 at 9:33
Dadu042
Moderator

Information

This update has been approved by the team.

Differences

@@ -22,10 +22,12 @@
 # [Dadu042] (2019-12-24 00:40)
 #   Remove riched30 because it break the agreement window (can not check '[x] Agree').
 #   Wine 4.0.3 -> 4.21
+# [Dadu042] (2019-12-24 09:30)
+#   Wine 4.21 -> 4.0.3 Because once installed the game does not run.
 #
 # KNOWN ISSUES
-#  - Wine amd64 4.0.3: POL_Install_riched30 makes more problem than help (agrement window fail to work fine: I can not check [x] Accept).
- 
+#  - Wine x86 4.0.3: POL_Install_riched30 makes more problem than help (agrement window fail to work fine: I can not check [x] Accept).
+#  - Wine x86 4.21: after installion, the game does not launch (err:module:import_dll Library Qt...). Perhaps the installation was not successful.
    
 [ "$PLAYONLINUX" = "" ] && exit 0
 source "$PLAYONLINUX/lib/sources"
@@ -36,7 +38,7 @@
 GAME_URL="https://en.wikipedia.org/wiki/The_Lord_of_the_Rings_Online"
 AUTHOR="Dadu042"
 STEAM_ID=""
-WORKING_WINE_VERSION="4.21"
+WORKING_WINE_VERSION="4.0.3"
 GAME_VMS="256"
 SHORTCUT_FILENAME="LotroLauncher.exe"
 SOFTWARE_CATEGORIES="Game;RolePlaying;"

New source code

#!/bin/bash
# Date : (2019-12-23)
# Last revision : see the changelog below
# Wine version used : see the changelog below
# Distribution used to test : Ubuntu 19.04 x64
# Author : Dadu042
# Licence : Retail
# Only For : http://www.playonlinux.com
#
# TESTED Editions: Standalone LOTRO client 2019-12-23.
#
# Middlewares used by this software : vcrun2005, vcrun2010, DirectX 9.0c (+ d3dcompiler_47).
#
# CHANGELOG:
# [Dadu042] (2019-12-23 20:55)
#   First script. I played 10 min, without any vcrun not directx files installed.
# [Dadu042] (2019-12-23 22:15)
#   Add comments.
# [Dadu042] (2019-12-23 22:20)
#   Enable GPU selection.
#   Add riched30 (because of error messages in the begin of the log).
# [Dadu042] (2019-12-24 00:40)
#   Remove riched30 because it break the agreement window (can not check '[x] Agree').
#   Wine 4.0.3 -> 4.21
# [Dadu042] (2019-12-24 09:30)
#   Wine 4.21 -> 4.0.3 Because once installed the game does not run.
#
# KNOWN ISSUES
#  - Wine x86 4.0.3: POL_Install_riched30 makes more problem than help (agrement window fail to work fine: I can not check [x] Accept).
#  - Wine x86 4.21: after installion, the game does not launch (err:module:import_dll Library Qt...). Perhaps the installation was not successful.
   
[ "$PLAYONLINUX" = "" ] && exit 0
source "$PLAYONLINUX/lib/sources"
      
TITLE="The Lord of the rings Online"
PREFIX="LOTRO"
EDITOR="Several"
GAME_URL="https://en.wikipedia.org/wiki/The_Lord_of_the_Rings_Online"
AUTHOR="Dadu042"
STEAM_ID=""
WORKING_WINE_VERSION="4.0.3"
GAME_VMS="256"
SHORTCUT_FILENAME="LotroLauncher.exe"
SOFTWARE_CATEGORIES="Game;RolePlaying;"
# http://wiki.playonlinux.com/index.php/Scripting_-_Chapter_9:_Standardization#Advanced_Standardization
DOCUMENT_FILE="readme.txt"
 
# Starting the script
POL_SetupWindow_Init
         
# Starting debugging API
POL_Debug_Init
        
# Open dialogue box 
POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
      
# POL_SetupWindow_message "$(eval_gettext 'WARNING: this software does exist in Linux native version.\n\nThis script only allow to run the Windows version on Linux, please prefer the Linux edition for better 3D speed.')" "$TITLE"
      
# POL_SetupWindow_message "$(eval_gettext 'This game requires a fast 3D GPU (ie: Intel HD Graphics 4440 is not enough).')" "$TITLE"
       
POL_RequiredVersion "4.3.4" || POL_Debug_Fatal "$APPLICATION_TITLE $VERSION is required to install $TITLE"
  
# Setting prefix path
POL_Wine_SelectPrefix "$PREFIX"
        
# Determine Architecture
# POL_System_SetArch "amd64"
POL_System_SetArch "x86"
   
# Downloading wine if necessary and creating prefix
POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"
      
Set_OS "win7"
 
#######################################
#  Installing mandatory dependencies  #
#######################################

POL_Call POL_Install_corefonts
# POL_Call POL_Install_riched30

# POL_Call POL_Install_dsound
# POL_Call POL_Install_physx
# POL_Call POL_Install_d3dx11
# POL_Call POL_Install_mono210
 
 
################
#      GPU     #
################
   
# Set Graphic Card information keys for wine
POL_Wine_SetVideoDriver

# Asking about memory size of graphic card
POL_SetupWindow_VMS $GAME_VMS
   
# Useful for Nvidia GPUs
# POL_Call POL_Install_physx
 
 
#############################################
#  Sound problem fix - pulseaudio related   #
#############################################
# [ "$POL_OS" = "Linux" ] && Set_SoundDriver "alsa"
# [ "$POL_OS" = "Linux" ] && Set_SoundEmulDriver "Y"
## End Fix
 
 
# Choose between Steam and other Digital Download versions
# POL_SetupWindow_InstallMethod "STEAM,DVD,LOCAL,DOWNLOAD"
POL_SetupWindow_InstallMethod "LOCAL,DOWNLOAD"
  
POL_SetupWindow_message "Notes: \n- do always prefer DirectX 9\n- when installation ends, do not run the game, close it.\n" "$TITLE"
     
# Begin game installation
if [ "$INSTALL_METHOD" == "STEAM" ]; then
        POL_Call POL_Install_steam
        # Mandatory pre-install fix for steam
        POL_Call POL_Install_steam_flags "$STEAM_ID"
        # Shortcut done before install for steam version
        POL_Shortcut "steam.exe" "$TITLE" "" "steam://rungameid/$STEAM_ID"
        # Steam install
        POL_SetupWindow_message "$(eval_gettext 'When $TITLE download by Steam is finished,\nDo NOT click on Play.\n\nClose COMPLETELY the Steam interface, \nso that the installation script can continue')" "$TITLE"
        cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Steam"
        POL_Wine start /unix "steam.exe" steam://install/$STEAM_ID
        POL_Wine_WaitExit "$TITLE"
      
elif [ "$INSTALL_METHOD" == "DVD" ]; then
        POL_SetupWindow_cdrom
      
        POL_SetupWindow_check_cdrom "autorun/af3_bkgd.bmp"
        POL_Wine start /unix "$CDROM/autorun/autorun.exe"
        POL_Wine_WaitExit "autorun.exe"
  
        # Restore screen resolution (game's default is 800x600 ?)
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
     
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
      
elif [ "$INSTALL_METHOD" == "DOWNLOAD" ]; then
        cd "$WINEPREFIX/drive_c"
        POL_Download "http://content.turbine.com/sites/clientdl/lotro/lotrolive.exe"
        # POL_SetupWindow_message "$(eval_gettext 'Note: we recommend you to uncheck all the checkboxes:\n[x] -> [ ]')" "$TITLE"
        POL_Wine "lotrolive.exe" # "/SILENT"
        POL_Wine_WaitBefore "$TITLE"
        # POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
  
        # Restore screen resolution (game's default is 1024x768)
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
  
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        # POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
 
elif [ "$INSTALL_METHOD" == "LOCAL" ]; then
        # POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.EXE')~$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
        # POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.EXE')~$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
        APP_ANSWER=".EXE"
 
if [ "$APP_ANSWER" == ".EXE" ]; then
        # Asking then installing local files of the game
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        POL_Wine start /unix "$SETUP_EXE"
        POL_Wine_WaitExit "$TITLE"
   
        # Restore screen resolution (game's default is 1024x768)
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
   
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        # POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
  
elif [ "$APP_ANSWER" == "$(eval_gettext '.ZIP')" ]; then
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the .ZIP file')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        cd "$POL_System_TmpDir"
        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        POL_System_unzip "$APP_ANSWER" -d "$WINEPREFIX/drive_c/"
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
               
elif [ "$APP_ANSWER" == "$(eval_gettext '.RAR')" ]; then
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the .RAR file')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        cd "$POL_System_TmpDir"
        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        POL_System_unrar x "$APP_ANSWER" "$WINEPREFIX/drive_c/" || POL_Debug_Fatal "unrar is required to unarchive $TITLE (unrar package is not installed on the OS)."
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
fi
fi
 
################
# Patch update #
################
 
# POL_SetupWindow_menu "$(eval_gettext 'Do you want to install a official patch-update ?\n (to download by yourself).')" "$TITLE" "$(eval_gettext 'Yes')~$(eval_gettext 'No')" "~"
   
if [ "$APP_ANSWER" == "$(eval_gettext 'Yes')" ]; then
        POL_SetupWindow_browse "$(eval_gettext 'Please select the file to run')" "$TITLE"
        PATCH_EXE="$APP_ANSWER"
        POL_Wine start /unix "$PATCH_EXE"
        POL_Wine_WaitExit "$PATCH_EXE"
fi
 
 
# POL_SetupWindow_message "$(eval_gettext '\nInstallation is finished ! :)')" "$TITLE"
 
POL_SetupWindow_message "$(eval_gettext 'WARNING: to avoid to have huge log file, you should type \ninto Debug flags : fixme-all')" "$TITLE"
      
POL_SetupWindow_Close
exit 0

Replies

Tuesday 24 December 2019 at 12:38
Thank you so much for this, Dadu.

If I could do more to contribute, I certainly would :)
Dadu042 Tuesday 24 December 2019 at 0:51
Dadu042
Moderator

Warning

This update has not been approved yet by the team.
Use it at your own risk

Differences

@@ -7,21 +7,25 @@
 # Licence : Retail
 # Only For : http://www.playonlinux.com
 #
-# TESTED Editions: Standalone LOTRO client 2019-12.
+# TESTED Editions: Standalone LOTRO client 2019-12-23.
 #
-# Middlewares used by this software : vcrun2005, vcrun2010, DirectX 9 (+ d3dcompiler_47).
+# Middlewares used by this software : vcrun2005, vcrun2010, DirectX 9.0c (+ d3dcompiler_47).
 #
-# CHANGELOG
+# CHANGELOG:
 # [Dadu042] (2019-12-23 20:55)
 #   First script. I played 10 min, without any vcrun not directx files installed.
 # [Dadu042] (2019-12-23 22:15)
 #   Add comments.
+# [Dadu042] (2019-12-23 22:20)
+#   Enable GPU selection.
+#   Add riched30 (because of error messages in the begin of the log).
+# [Dadu042] (2019-12-24 00:40)
+#   Remove riched30 because it break the agreement window (can not check '[x] Agree').
+#   Wine 4.0.3 -> 4.21
 #
-# KNOWN ISSUES:
-#  - Wine amd64 4.0.3: X
+# KNOWN ISSUES
+#  - Wine amd64 4.0.3: POL_Install_riched30 makes more problem than help (agrement window fail to work fine: I can not check [x] Accept).
  
-  
-# Ideas to improve this script: select archive, then decide if extension is RAR or ZIP or 7Z...
    
 [ "$PLAYONLINUX" = "" ] && exit 0
 source "$PLAYONLINUX/lib/sources"
@@ -32,10 +36,10 @@
 GAME_URL="https://en.wikipedia.org/wiki/The_Lord_of_the_Rings_Online"
 AUTHOR="Dadu042"
 STEAM_ID=""
-WORKING_WINE_VERSION="4.0.3"
+WORKING_WINE_VERSION="4.21"
 GAME_VMS="256"
 SHORTCUT_FILENAME="LotroLauncher.exe"
-SOFTWARE_CATEGORIES="Game;"
+SOFTWARE_CATEGORIES="Game;RolePlaying;"
 # http://wiki.playonlinux.com/index.php/Scripting_-_Chapter_9:_Standardization#Advanced_Standardization
 DOCUMENT_FILE="readme.txt"
  
@@ -71,7 +75,7 @@
 #######################################
 
 POL_Call POL_Install_corefonts
-POL_Call POL_Install_riched30
+# POL_Call POL_Install_riched30
 
 # POL_Call POL_Install_dsound
 # POL_Call POL_Install_physx
@@ -83,11 +87,11 @@
 #      GPU     #
 ################
    
-# Asking about memory size of graphic card
-# POL_SetupWindow_VMS $GAME_VMS
-  
 # Set Graphic Card information keys for wine
-# POL_Wine_SetVideoDriver
+POL_Wine_SetVideoDriver
+
+# Asking about memory size of graphic card
+POL_SetupWindow_VMS $GAME_VMS
    
 # Useful for Nvidia GPUs
 # POL_Call POL_Install_physx
@@ -105,7 +109,7 @@
 # POL_SetupWindow_InstallMethod "STEAM,DVD,LOCAL,DOWNLOAD"
 POL_SetupWindow_InstallMethod "LOCAL,DOWNLOAD"
   
-POL_SetupWindow_message "Notes: \n- do always prefer DirectX 9\n- when installation ends, do not run the game, close it.\n." "$TITLE"
+POL_SetupWindow_message "Notes: \n- do always prefer DirectX 9\n- when installation ends, do not run the game, close it.\n" "$TITLE"
      
 # Begin game installation
 if [ "$INSTALL_METHOD" == "STEAM" ]; then

New source code

#!/bin/bash
# Date : (2019-12-23)
# Last revision : see the changelog below
# Wine version used : see the changelog below
# Distribution used to test : Ubuntu 19.04 x64
# Author : Dadu042
# Licence : Retail
# Only For : http://www.playonlinux.com
#
# TESTED Editions: Standalone LOTRO client 2019-12-23.
#
# Middlewares used by this software : vcrun2005, vcrun2010, DirectX 9.0c (+ d3dcompiler_47).
#
# CHANGELOG:
# [Dadu042] (2019-12-23 20:55)
#   First script. I played 10 min, without any vcrun not directx files installed.
# [Dadu042] (2019-12-23 22:15)
#   Add comments.
# [Dadu042] (2019-12-23 22:20)
#   Enable GPU selection.
#   Add riched30 (because of error messages in the begin of the log).
# [Dadu042] (2019-12-24 00:40)
#   Remove riched30 because it break the agreement window (can not check '[x] Agree').
#   Wine 4.0.3 -> 4.21
#
# KNOWN ISSUES
#  - Wine amd64 4.0.3: POL_Install_riched30 makes more problem than help (agrement window fail to work fine: I can not check [x] Accept).
 
   
[ "$PLAYONLINUX" = "" ] && exit 0
source "$PLAYONLINUX/lib/sources"
      
TITLE="The Lord of the rings Online"
PREFIX="LOTRO"
EDITOR="Several"
GAME_URL="https://en.wikipedia.org/wiki/The_Lord_of_the_Rings_Online"
AUTHOR="Dadu042"
STEAM_ID=""
WORKING_WINE_VERSION="4.21"
GAME_VMS="256"
SHORTCUT_FILENAME="LotroLauncher.exe"
SOFTWARE_CATEGORIES="Game;RolePlaying;"
# http://wiki.playonlinux.com/index.php/Scripting_-_Chapter_9:_Standardization#Advanced_Standardization
DOCUMENT_FILE="readme.txt"
 
# Starting the script
POL_SetupWindow_Init
         
# Starting debugging API
POL_Debug_Init
        
# Open dialogue box 
POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
      
# POL_SetupWindow_message "$(eval_gettext 'WARNING: this software does exist in Linux native version.\n\nThis script only allow to run the Windows version on Linux, please prefer the Linux edition for better 3D speed.')" "$TITLE"
      
# POL_SetupWindow_message "$(eval_gettext 'This game requires a fast 3D GPU (ie: Intel HD Graphics 4440 is not enough).')" "$TITLE"
       
POL_RequiredVersion "4.3.4" || POL_Debug_Fatal "$APPLICATION_TITLE $VERSION is required to install $TITLE"
  
# Setting prefix path
POL_Wine_SelectPrefix "$PREFIX"
        
# Determine Architecture
# POL_System_SetArch "amd64"
POL_System_SetArch "x86"
   
# Downloading wine if necessary and creating prefix
POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"
      
Set_OS "win7"
 
#######################################
#  Installing mandatory dependencies  #
#######################################

POL_Call POL_Install_corefonts
# POL_Call POL_Install_riched30

# POL_Call POL_Install_dsound
# POL_Call POL_Install_physx
# POL_Call POL_Install_d3dx11
# POL_Call POL_Install_mono210
 
 
################
#      GPU     #
################
   
# Set Graphic Card information keys for wine
POL_Wine_SetVideoDriver

# Asking about memory size of graphic card
POL_SetupWindow_VMS $GAME_VMS
   
# Useful for Nvidia GPUs
# POL_Call POL_Install_physx
 
 
#############################################
#  Sound problem fix - pulseaudio related   #
#############################################
# [ "$POL_OS" = "Linux" ] && Set_SoundDriver "alsa"
# [ "$POL_OS" = "Linux" ] && Set_SoundEmulDriver "Y"
## End Fix
 
 
# Choose between Steam and other Digital Download versions
# POL_SetupWindow_InstallMethod "STEAM,DVD,LOCAL,DOWNLOAD"
POL_SetupWindow_InstallMethod "LOCAL,DOWNLOAD"
  
POL_SetupWindow_message "Notes: \n- do always prefer DirectX 9\n- when installation ends, do not run the game, close it.\n" "$TITLE"
     
# Begin game installation
if [ "$INSTALL_METHOD" == "STEAM" ]; then
        POL_Call POL_Install_steam
        # Mandatory pre-install fix for steam
        POL_Call POL_Install_steam_flags "$STEAM_ID"
        # Shortcut done before install for steam version
        POL_Shortcut "steam.exe" "$TITLE" "" "steam://rungameid/$STEAM_ID"
        # Steam install
        POL_SetupWindow_message "$(eval_gettext 'When $TITLE download by Steam is finished,\nDo NOT click on Play.\n\nClose COMPLETELY the Steam interface, \nso that the installation script can continue')" "$TITLE"
        cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Steam"
        POL_Wine start /unix "steam.exe" steam://install/$STEAM_ID
        POL_Wine_WaitExit "$TITLE"
      
elif [ "$INSTALL_METHOD" == "DVD" ]; then
        POL_SetupWindow_cdrom
      
        POL_SetupWindow_check_cdrom "autorun/af3_bkgd.bmp"
        POL_Wine start /unix "$CDROM/autorun/autorun.exe"
        POL_Wine_WaitExit "autorun.exe"
  
        # Restore screen resolution (game's default is 800x600 ?)
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
     
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
      
elif [ "$INSTALL_METHOD" == "DOWNLOAD" ]; then
        cd "$WINEPREFIX/drive_c"
        POL_Download "http://content.turbine.com/sites/clientdl/lotro/lotrolive.exe"
        # POL_SetupWindow_message "$(eval_gettext 'Note: we recommend you to uncheck all the checkboxes:\n[x] -> [ ]')" "$TITLE"
        POL_Wine "lotrolive.exe" # "/SILENT"
        POL_Wine_WaitBefore "$TITLE"
        # POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
  
        # Restore screen resolution (game's default is 1024x768)
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
  
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        # POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
 
elif [ "$INSTALL_METHOD" == "LOCAL" ]; then
        # POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.EXE')~$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
        # POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.EXE')~$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
        APP_ANSWER=".EXE"
 
if [ "$APP_ANSWER" == ".EXE" ]; then
        # Asking then installing local files of the game
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        POL_Wine start /unix "$SETUP_EXE"
        POL_Wine_WaitExit "$TITLE"
   
        # Restore screen resolution (game's default is 1024x768)
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
   
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        # POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
  
elif [ "$APP_ANSWER" == "$(eval_gettext '.ZIP')" ]; then
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the .ZIP file')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        cd "$POL_System_TmpDir"
        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        POL_System_unzip "$APP_ANSWER" -d "$WINEPREFIX/drive_c/"
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
               
elif [ "$APP_ANSWER" == "$(eval_gettext '.RAR')" ]; then
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the .RAR file')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        cd "$POL_System_TmpDir"
        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        POL_System_unrar x "$APP_ANSWER" "$WINEPREFIX/drive_c/" || POL_Debug_Fatal "unrar is required to unarchive $TITLE (unrar package is not installed on the OS)."
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
fi
fi
 
################
# Patch update #
################
 
# POL_SetupWindow_menu "$(eval_gettext 'Do you want to install a official patch-update ?\n (to download by yourself).')" "$TITLE" "$(eval_gettext 'Yes')~$(eval_gettext 'No')" "~"
   
if [ "$APP_ANSWER" == "$(eval_gettext 'Yes')" ]; then
        POL_SetupWindow_browse "$(eval_gettext 'Please select the file to run')" "$TITLE"
        PATCH_EXE="$APP_ANSWER"
        POL_Wine start /unix "$PATCH_EXE"
        POL_Wine_WaitExit "$PATCH_EXE"
fi
 
 
# POL_SetupWindow_message "$(eval_gettext '\nInstallation is finished ! :)')" "$TITLE"
 
POL_SetupWindow_message "$(eval_gettext 'WARNING: to avoid to have huge log file, you should type \ninto Debug flags : fixme-all')" "$TITLE"
      
POL_SetupWindow_Close
exit 0

Replies

Dadu042 Monday 23 December 2019 at 22:17
Dadu042
Moderator

Warning

This update has not been approved yet by the team.
Use it at your own risk

Differences

@@ -9,11 +9,13 @@
 #
 # TESTED Editions: Standalone LOTRO client 2019-12.
 #
-# Middlewares used by this software : vcrun2005, vcrun2010, DirectX 9 .
+# Middlewares used by this software : vcrun2005, vcrun2010, DirectX 9 (+ d3dcompiler_47).
 #
 # CHANGELOG
 # [Dadu042] (2019-12-23 20:55)
-#   First script. This game might need vcrun2017.
+#   First script. I played 10 min, without any vcrun not directx files installed.
+# [Dadu042] (2019-12-23 22:15)
+#   Add comments.
 #
 # KNOWN ISSUES:
 #  - Wine amd64 4.0.3: X
@@ -26,7 +28,7 @@
       
 TITLE="The Lord of the rings Online"
 PREFIX="LOTRO"
-EDITOR=""
+EDITOR="Several"
 GAME_URL="https://en.wikipedia.org/wiki/The_Lord_of_the_Rings_Online"
 AUTHOR="Dadu042"
 STEAM_ID=""
@@ -103,7 +105,7 @@
 # POL_SetupWindow_InstallMethod "STEAM,DVD,LOCAL,DOWNLOAD"
 POL_SetupWindow_InstallMethod "LOCAL,DOWNLOAD"
   
-POL_SetupWindow_message "Note: at the end of the installation, please do not run the game, and do not install DirectX." "$TITLE"
+POL_SetupWindow_message "Notes: \n- do always prefer DirectX 9\n- when installation ends, do not run the game, close it.\n." "$TITLE"
      
 # Begin game installation
 if [ "$INSTALL_METHOD" == "STEAM" ]; then
@@ -200,7 +202,7 @@
  
 # POL_SetupWindow_message "$(eval_gettext '\nInstallation is finished ! :)')" "$TITLE"
  
-# POL_SetupWindow_message "$(eval_gettext 'WARNING: to avoid to have huge log file, you should type \ninto Debug flags : fixme-all')" "$TITLE"
+POL_SetupWindow_message "$(eval_gettext 'WARNING: to avoid to have huge log file, you should type \ninto Debug flags : fixme-all')" "$TITLE"
       
 POL_SetupWindow_Close
 exit 0
\ No newline at end of file

New source code

#!/bin/bash
# Date : (2019-12-23)
# Last revision : see the changelog below
# Wine version used : see the changelog below
# Distribution used to test : Ubuntu 19.04 x64
# Author : Dadu042
# Licence : Retail
# Only For : http://www.playonlinux.com
#
# TESTED Editions: Standalone LOTRO client 2019-12.
#
# Middlewares used by this software : vcrun2005, vcrun2010, DirectX 9 (+ d3dcompiler_47).
#
# CHANGELOG
# [Dadu042] (2019-12-23 20:55)
#   First script. I played 10 min, without any vcrun not directx files installed.
# [Dadu042] (2019-12-23 22:15)
#   Add comments.
#
# KNOWN ISSUES:
#  - Wine amd64 4.0.3: X
 
  
# Ideas to improve this script: select archive, then decide if extension is RAR or ZIP or 7Z...
   
[ "$PLAYONLINUX" = "" ] && exit 0
source "$PLAYONLINUX/lib/sources"
      
TITLE="The Lord of the rings Online"
PREFIX="LOTRO"
EDITOR="Several"
GAME_URL="https://en.wikipedia.org/wiki/The_Lord_of_the_Rings_Online"
AUTHOR="Dadu042"
STEAM_ID=""
WORKING_WINE_VERSION="4.0.3"
GAME_VMS="256"
SHORTCUT_FILENAME="LotroLauncher.exe"
SOFTWARE_CATEGORIES="Game;"
# http://wiki.playonlinux.com/index.php/Scripting_-_Chapter_9:_Standardization#Advanced_Standardization
DOCUMENT_FILE="readme.txt"
 
# Starting the script
POL_SetupWindow_Init
         
# Starting debugging API
POL_Debug_Init
        
# Open dialogue box 
POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
      
# POL_SetupWindow_message "$(eval_gettext 'WARNING: this software does exist in Linux native version.\n\nThis script only allow to run the Windows version on Linux, please prefer the Linux edition for better 3D speed.')" "$TITLE"
      
# POL_SetupWindow_message "$(eval_gettext 'This game requires a fast 3D GPU (ie: Intel HD Graphics 4440 is not enough).')" "$TITLE"
       
POL_RequiredVersion "4.3.4" || POL_Debug_Fatal "$APPLICATION_TITLE $VERSION is required to install $TITLE"
  
# Setting prefix path
POL_Wine_SelectPrefix "$PREFIX"
        
# Determine Architecture
# POL_System_SetArch "amd64"
POL_System_SetArch "x86"
   
# Downloading wine if necessary and creating prefix
POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"
      
Set_OS "win7"
 
#######################################
#  Installing mandatory dependencies  #
#######################################

POL_Call POL_Install_corefonts
POL_Call POL_Install_riched30

# POL_Call POL_Install_dsound
# POL_Call POL_Install_physx
# POL_Call POL_Install_d3dx11
# POL_Call POL_Install_mono210
 
 
################
#      GPU     #
################
   
# Asking about memory size of graphic card
# POL_SetupWindow_VMS $GAME_VMS
  
# Set Graphic Card information keys for wine
# POL_Wine_SetVideoDriver
   
# Useful for Nvidia GPUs
# POL_Call POL_Install_physx
 
 
#############################################
#  Sound problem fix - pulseaudio related   #
#############################################
# [ "$POL_OS" = "Linux" ] && Set_SoundDriver "alsa"
# [ "$POL_OS" = "Linux" ] && Set_SoundEmulDriver "Y"
## End Fix
 
 
# Choose between Steam and other Digital Download versions
# POL_SetupWindow_InstallMethod "STEAM,DVD,LOCAL,DOWNLOAD"
POL_SetupWindow_InstallMethod "LOCAL,DOWNLOAD"
  
POL_SetupWindow_message "Notes: \n- do always prefer DirectX 9\n- when installation ends, do not run the game, close it.\n." "$TITLE"
     
# Begin game installation
if [ "$INSTALL_METHOD" == "STEAM" ]; then
        POL_Call POL_Install_steam
        # Mandatory pre-install fix for steam
        POL_Call POL_Install_steam_flags "$STEAM_ID"
        # Shortcut done before install for steam version
        POL_Shortcut "steam.exe" "$TITLE" "" "steam://rungameid/$STEAM_ID"
        # Steam install
        POL_SetupWindow_message "$(eval_gettext 'When $TITLE download by Steam is finished,\nDo NOT click on Play.\n\nClose COMPLETELY the Steam interface, \nso that the installation script can continue')" "$TITLE"
        cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Steam"
        POL_Wine start /unix "steam.exe" steam://install/$STEAM_ID
        POL_Wine_WaitExit "$TITLE"
      
elif [ "$INSTALL_METHOD" == "DVD" ]; then
        POL_SetupWindow_cdrom
      
        POL_SetupWindow_check_cdrom "autorun/af3_bkgd.bmp"
        POL_Wine start /unix "$CDROM/autorun/autorun.exe"
        POL_Wine_WaitExit "autorun.exe"
  
        # Restore screen resolution (game's default is 800x600 ?)
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
     
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
      
elif [ "$INSTALL_METHOD" == "DOWNLOAD" ]; then
        cd "$WINEPREFIX/drive_c"
        POL_Download "http://content.turbine.com/sites/clientdl/lotro/lotrolive.exe"
        # POL_SetupWindow_message "$(eval_gettext 'Note: we recommend you to uncheck all the checkboxes:\n[x] -> [ ]')" "$TITLE"
        POL_Wine "lotrolive.exe" # "/SILENT"
        POL_Wine_WaitBefore "$TITLE"
        # POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
  
        # Restore screen resolution (game's default is 1024x768)
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
  
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        # POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
 
elif [ "$INSTALL_METHOD" == "LOCAL" ]; then
        # POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.EXE')~$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
        # POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.EXE')~$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
        APP_ANSWER=".EXE"
 
if [ "$APP_ANSWER" == ".EXE" ]; then
        # Asking then installing local files of the game
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        POL_Wine start /unix "$SETUP_EXE"
        POL_Wine_WaitExit "$TITLE"
   
        # Restore screen resolution (game's default is 1024x768)
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
   
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        # POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
  
elif [ "$APP_ANSWER" == "$(eval_gettext '.ZIP')" ]; then
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the .ZIP file')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        cd "$POL_System_TmpDir"
        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        POL_System_unzip "$APP_ANSWER" -d "$WINEPREFIX/drive_c/"
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
               
elif [ "$APP_ANSWER" == "$(eval_gettext '.RAR')" ]; then
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the .RAR file')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        cd "$POL_System_TmpDir"
        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        POL_System_unrar x "$APP_ANSWER" "$WINEPREFIX/drive_c/" || POL_Debug_Fatal "unrar is required to unarchive $TITLE (unrar package is not installed on the OS)."
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
fi
fi
 
################
# Patch update #
################
 
# POL_SetupWindow_menu "$(eval_gettext 'Do you want to install a official patch-update ?\n (to download by yourself).')" "$TITLE" "$(eval_gettext 'Yes')~$(eval_gettext 'No')" "~"
   
if [ "$APP_ANSWER" == "$(eval_gettext 'Yes')" ]; then
        POL_SetupWindow_browse "$(eval_gettext 'Please select the file to run')" "$TITLE"
        PATCH_EXE="$APP_ANSWER"
        POL_Wine start /unix "$PATCH_EXE"
        POL_Wine_WaitExit "$PATCH_EXE"
fi
 
 
# POL_SetupWindow_message "$(eval_gettext '\nInstallation is finished ! :)')" "$TITLE"
 
POL_SetupWindow_message "$(eval_gettext 'WARNING: to avoid to have huge log file, you should type \ninto Debug flags : fixme-all')" "$TITLE"
      
POL_SetupWindow_Close
exit 0

Replies

Dadu042 Monday 23 December 2019 at 20:58
Dadu042
Moderator

Warning

This update has not been approved yet by the team.
Use it at your own risk

Message

The installer does start. That's all  I know.

Differences

@@ -0,0 +1,206 @@
+#!/bin/bash
+# Date : (2019-12-23)
+# Last revision : see the changelog below
+# Wine version used : see the changelog below
+# Distribution used to test : Ubuntu 19.04 x64
+# Author : Dadu042
+# Licence : Retail
+# Only For : http://www.playonlinux.com
+#
+# TESTED Editions: Standalone LOTRO client 2019-12.
+#
+# Middlewares used by this software : vcrun2005, vcrun2010, DirectX 9 .
+#
+# CHANGELOG
+# [Dadu042] (2019-12-23 20:55)
+#   First script. This game might need vcrun2017.
+#
+# KNOWN ISSUES:
+#  - Wine amd64 4.0.3: X
+ 
+  
+# Ideas to improve this script: select archive, then decide if extension is RAR or ZIP or 7Z...
+   
+[ "$PLAYONLINUX" = "" ] && exit 0
+source "$PLAYONLINUX/lib/sources"
+      
+TITLE="The Lord of the rings Online"
+PREFIX="LOTRO"
+EDITOR=""
+GAME_URL="https://en.wikipedia.org/wiki/The_Lord_of_the_Rings_Online"
+AUTHOR="Dadu042"
+STEAM_ID=""
+WORKING_WINE_VERSION="4.0.3"
+GAME_VMS="256"
+SHORTCUT_FILENAME="LotroLauncher.exe"
+SOFTWARE_CATEGORIES="Game;"
+# http://wiki.playonlinux.com/index.php/Scripting_-_Chapter_9:_Standardization#Advanced_Standardization
+DOCUMENT_FILE="readme.txt"
+ 
+# Starting the script
+POL_SetupWindow_Init
+         
+# Starting debugging API
+POL_Debug_Init
+        
+# Open dialogue box 
+POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
+      
+# POL_SetupWindow_message "$(eval_gettext 'WARNING: this software does exist in Linux native version.\n\nThis script only allow to run the Windows version on Linux, please prefer the Linux edition for better 3D speed.')" "$TITLE"
+      
+# POL_SetupWindow_message "$(eval_gettext 'This game requires a fast 3D GPU (ie: Intel HD Graphics 4440 is not enough).')" "$TITLE"
+       
+POL_RequiredVersion "4.3.4" || POL_Debug_Fatal "$APPLICATION_TITLE $VERSION is required to install $TITLE"
+  
+# Setting prefix path
+POL_Wine_SelectPrefix "$PREFIX"
+        
+# Determine Architecture
+# POL_System_SetArch "amd64"
+POL_System_SetArch "x86"
+   
+# Downloading wine if necessary and creating prefix
+POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"
+      
+Set_OS "win7"
+ 
+#######################################
+#  Installing mandatory dependencies  #
+#######################################
+
+POL_Call POL_Install_corefonts
+POL_Call POL_Install_riched30
+
+# POL_Call POL_Install_dsound
+# POL_Call POL_Install_physx
+# POL_Call POL_Install_d3dx11
+# POL_Call POL_Install_mono210
+ 
+ 
+################
+#      GPU     #
+################
+   
+# Asking about memory size of graphic card
+# POL_SetupWindow_VMS $GAME_VMS
+  
+# Set Graphic Card information keys for wine
+# POL_Wine_SetVideoDriver
+   
+# Useful for Nvidia GPUs
+# POL_Call POL_Install_physx
+ 
+ 
+#############################################
+#  Sound problem fix - pulseaudio related   #
+#############################################
+# [ "$POL_OS" = "Linux" ] && Set_SoundDriver "alsa"
+# [ "$POL_OS" = "Linux" ] && Set_SoundEmulDriver "Y"
+## End Fix
+ 
+ 
+# Choose between Steam and other Digital Download versions
+# POL_SetupWindow_InstallMethod "STEAM,DVD,LOCAL,DOWNLOAD"
+POL_SetupWindow_InstallMethod "LOCAL,DOWNLOAD"
+  
+POL_SetupWindow_message "Note: at the end of the installation, please do not run the game, and do not install DirectX." "$TITLE"
+     
+# Begin game installation
+if [ "$INSTALL_METHOD" == "STEAM" ]; then
+        POL_Call POL_Install_steam
+        # Mandatory pre-install fix for steam
+        POL_Call POL_Install_steam_flags "$STEAM_ID"
+        # Shortcut done before install for steam version
+        POL_Shortcut "steam.exe" "$TITLE" "" "steam://rungameid/$STEAM_ID"
+        # Steam install
+        POL_SetupWindow_message "$(eval_gettext 'When $TITLE download by Steam is finished,\nDo NOT click on Play.\n\nClose COMPLETELY the Steam interface, \nso that the installation script can continue')" "$TITLE"
+        cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Steam"
+        POL_Wine start /unix "steam.exe" steam://install/$STEAM_ID
+        POL_Wine_WaitExit "$TITLE"
+      
+elif [ "$INSTALL_METHOD" == "DVD" ]; then
+        POL_SetupWindow_cdrom
+      
+        POL_SetupWindow_check_cdrom "autorun/af3_bkgd.bmp"
+        POL_Wine start /unix "$CDROM/autorun/autorun.exe"
+        POL_Wine_WaitExit "autorun.exe"
+  
+        # Restore screen resolution (game's default is 800x600 ?)
+        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
+     
+        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
+        POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
+      
+elif [ "$INSTALL_METHOD" == "DOWNLOAD" ]; then
+        cd "$WINEPREFIX/drive_c"
+        POL_Download "http://content.turbine.com/sites/clientdl/lotro/lotrolive.exe"
+        # POL_SetupWindow_message "$(eval_gettext 'Note: we recommend you to uncheck all the checkboxes:\n[x] -> [ ]')" "$TITLE"
+        POL_Wine "lotrolive.exe" # "/SILENT"
+        POL_Wine_WaitBefore "$TITLE"
+        # POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
+  
+        # Restore screen resolution (game's default is 1024x768)
+        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
+  
+        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
+        # POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
+ 
+elif [ "$INSTALL_METHOD" == "LOCAL" ]; then
+        # POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.EXE')~$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
+        # POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.EXE')~$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
+        APP_ANSWER=".EXE"
+ 
+if [ "$APP_ANSWER" == ".EXE" ]; then
+        # Asking then installing local files of the game
+        cd "$HOME"
+        POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
+        SETUP_EXE="$APP_ANSWER"
+        POL_Wine start /unix "$SETUP_EXE"
+        POL_Wine_WaitExit "$TITLE"
+   
+        # Restore screen resolution (game's default is 1024x768)
+        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
+   
+        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
+        # POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
+  
+elif [ "$APP_ANSWER" == "$(eval_gettext '.ZIP')" ]; then
+        cd "$HOME"
+        POL_SetupWindow_browse "$(eval_gettext 'Please select the .ZIP file')" "$TITLE"
+        SETUP_EXE="$APP_ANSWER"
+        cd "$POL_System_TmpDir"
+        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
+        POL_System_unzip "$APP_ANSWER" -d "$WINEPREFIX/drive_c/"
+        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
+               
+elif [ "$APP_ANSWER" == "$(eval_gettext '.RAR')" ]; then
+        cd "$HOME"
+        POL_SetupWindow_browse "$(eval_gettext 'Please select the .RAR file')" "$TITLE"
+        SETUP_EXE="$APP_ANSWER"
+        cd "$POL_System_TmpDir"
+        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
+        POL_System_unrar x "$APP_ANSWER" "$WINEPREFIX/drive_c/" || POL_Debug_Fatal "unrar is required to unarchive $TITLE (unrar package is not installed on the OS)."
+        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
+fi
+fi
+ 
+################
+# Patch update #
+################
+ 
+# POL_SetupWindow_menu "$(eval_gettext 'Do you want to install a official patch-update ?\n (to download by yourself).')" "$TITLE" "$(eval_gettext 'Yes')~$(eval_gettext 'No')" "~"
+   
+if [ "$APP_ANSWER" == "$(eval_gettext 'Yes')" ]; then
+        POL_SetupWindow_browse "$(eval_gettext 'Please select the file to run')" "$TITLE"
+        PATCH_EXE="$APP_ANSWER"
+        POL_Wine start /unix "$PATCH_EXE"
+        POL_Wine_WaitExit "$PATCH_EXE"
+fi
+ 
+ 
+# POL_SetupWindow_message "$(eval_gettext '\nInstallation is finished ! :)')" "$TITLE"
+ 
+# POL_SetupWindow_message "$(eval_gettext 'WARNING: to avoid to have huge log file, you should type \ninto Debug flags : fixme-all')" "$TITLE"
+      
+POL_SetupWindow_Close
+exit 0
\ No newline at end of file

New source code

#!/bin/bash
# Date : (2019-12-23)
# Last revision : see the changelog below
# Wine version used : see the changelog below
# Distribution used to test : Ubuntu 19.04 x64
# Author : Dadu042
# Licence : Retail
# Only For : http://www.playonlinux.com
#
# TESTED Editions: Standalone LOTRO client 2019-12.
#
# Middlewares used by this software : vcrun2005, vcrun2010, DirectX 9 .
#
# CHANGELOG
# [Dadu042] (2019-12-23 20:55)
#   First script. This game might need vcrun2017.
#
# KNOWN ISSUES:
#  - Wine amd64 4.0.3: X
 
  
# Ideas to improve this script: select archive, then decide if extension is RAR or ZIP or 7Z...
   
[ "$PLAYONLINUX" = "" ] && exit 0
source "$PLAYONLINUX/lib/sources"
      
TITLE="The Lord of the rings Online"
PREFIX="LOTRO"
EDITOR=""
GAME_URL="https://en.wikipedia.org/wiki/The_Lord_of_the_Rings_Online"
AUTHOR="Dadu042"
STEAM_ID=""
WORKING_WINE_VERSION="4.0.3"
GAME_VMS="256"
SHORTCUT_FILENAME="LotroLauncher.exe"
SOFTWARE_CATEGORIES="Game;"
# http://wiki.playonlinux.com/index.php/Scripting_-_Chapter_9:_Standardization#Advanced_Standardization
DOCUMENT_FILE="readme.txt"
 
# Starting the script
POL_SetupWindow_Init
         
# Starting debugging API
POL_Debug_Init
        
# Open dialogue box 
POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
      
# POL_SetupWindow_message "$(eval_gettext 'WARNING: this software does exist in Linux native version.\n\nThis script only allow to run the Windows version on Linux, please prefer the Linux edition for better 3D speed.')" "$TITLE"
      
# POL_SetupWindow_message "$(eval_gettext 'This game requires a fast 3D GPU (ie: Intel HD Graphics 4440 is not enough).')" "$TITLE"
       
POL_RequiredVersion "4.3.4" || POL_Debug_Fatal "$APPLICATION_TITLE $VERSION is required to install $TITLE"
  
# Setting prefix path
POL_Wine_SelectPrefix "$PREFIX"
        
# Determine Architecture
# POL_System_SetArch "amd64"
POL_System_SetArch "x86"
   
# Downloading wine if necessary and creating prefix
POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"
      
Set_OS "win7"
 
#######################################
#  Installing mandatory dependencies  #
#######################################

POL_Call POL_Install_corefonts
POL_Call POL_Install_riched30

# POL_Call POL_Install_dsound
# POL_Call POL_Install_physx
# POL_Call POL_Install_d3dx11
# POL_Call POL_Install_mono210
 
 
################
#      GPU     #
################
   
# Asking about memory size of graphic card
# POL_SetupWindow_VMS $GAME_VMS
  
# Set Graphic Card information keys for wine
# POL_Wine_SetVideoDriver
   
# Useful for Nvidia GPUs
# POL_Call POL_Install_physx
 
 
#############################################
#  Sound problem fix - pulseaudio related   #
#############################################
# [ "$POL_OS" = "Linux" ] && Set_SoundDriver "alsa"
# [ "$POL_OS" = "Linux" ] && Set_SoundEmulDriver "Y"
## End Fix
 
 
# Choose between Steam and other Digital Download versions
# POL_SetupWindow_InstallMethod "STEAM,DVD,LOCAL,DOWNLOAD"
POL_SetupWindow_InstallMethod "LOCAL,DOWNLOAD"
  
POL_SetupWindow_message "Note: at the end of the installation, please do not run the game, and do not install DirectX." "$TITLE"
     
# Begin game installation
if [ "$INSTALL_METHOD" == "STEAM" ]; then
        POL_Call POL_Install_steam
        # Mandatory pre-install fix for steam
        POL_Call POL_Install_steam_flags "$STEAM_ID"
        # Shortcut done before install for steam version
        POL_Shortcut "steam.exe" "$TITLE" "" "steam://rungameid/$STEAM_ID"
        # Steam install
        POL_SetupWindow_message "$(eval_gettext 'When $TITLE download by Steam is finished,\nDo NOT click on Play.\n\nClose COMPLETELY the Steam interface, \nso that the installation script can continue')" "$TITLE"
        cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Steam"
        POL_Wine start /unix "steam.exe" steam://install/$STEAM_ID
        POL_Wine_WaitExit "$TITLE"
      
elif [ "$INSTALL_METHOD" == "DVD" ]; then
        POL_SetupWindow_cdrom
      
        POL_SetupWindow_check_cdrom "autorun/af3_bkgd.bmp"
        POL_Wine start /unix "$CDROM/autorun/autorun.exe"
        POL_Wine_WaitExit "autorun.exe"
  
        # Restore screen resolution (game's default is 800x600 ?)
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
     
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
      
elif [ "$INSTALL_METHOD" == "DOWNLOAD" ]; then
        cd "$WINEPREFIX/drive_c"
        POL_Download "http://content.turbine.com/sites/clientdl/lotro/lotrolive.exe"
        # POL_SetupWindow_message "$(eval_gettext 'Note: we recommend you to uncheck all the checkboxes:\n[x] -> [ ]')" "$TITLE"
        POL_Wine "lotrolive.exe" # "/SILENT"
        POL_Wine_WaitBefore "$TITLE"
        # POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
  
        # Restore screen resolution (game's default is 1024x768)
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
  
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        # POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
 
elif [ "$INSTALL_METHOD" == "LOCAL" ]; then
        # POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.EXE')~$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
        # POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.EXE')~$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
        APP_ANSWER=".EXE"
 
if [ "$APP_ANSWER" == ".EXE" ]; then
        # Asking then installing local files of the game
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        POL_Wine start /unix "$SETUP_EXE"
        POL_Wine_WaitExit "$TITLE"
   
        # Restore screen resolution (game's default is 1024x768)
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
   
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        # POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
  
elif [ "$APP_ANSWER" == "$(eval_gettext '.ZIP')" ]; then
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the .ZIP file')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        cd "$POL_System_TmpDir"
        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        POL_System_unzip "$APP_ANSWER" -d "$WINEPREFIX/drive_c/"
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
               
elif [ "$APP_ANSWER" == "$(eval_gettext '.RAR')" ]; then
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the .RAR file')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        cd "$POL_System_TmpDir"
        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        POL_System_unrar x "$APP_ANSWER" "$WINEPREFIX/drive_c/" || POL_Debug_Fatal "unrar is required to unarchive $TITLE (unrar package is not installed on the OS)."
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
fi
fi
 
################
# Patch update #
################
 
# POL_SetupWindow_menu "$(eval_gettext 'Do you want to install a official patch-update ?\n (to download by yourself).')" "$TITLE" "$(eval_gettext 'Yes')~$(eval_gettext 'No')" "~"
   
if [ "$APP_ANSWER" == "$(eval_gettext 'Yes')" ]; then
        POL_SetupWindow_browse "$(eval_gettext 'Please select the file to run')" "$TITLE"
        PATCH_EXE="$APP_ANSWER"
        POL_Wine start /unix "$PATCH_EXE"
        POL_Wine_WaitExit "$PATCH_EXE"
fi
 
 
# POL_SetupWindow_message "$(eval_gettext '\nInstallation is finished ! :)')" "$TITLE"
 
# POL_SetupWindow_message "$(eval_gettext 'WARNING: to avoid to have huge log file, you should type \ninto Debug flags : fixme-all')" "$TITLE"
      
POL_SetupWindow_Close
exit 0

Replies

Tuesday 24 December 2019 at 0:50
Played 20 min.
kodkisot Tuesday 20 June 2017 at 22:40
kodkisot Anonymous

Message

I'm on Ubuntu 16.04 and I was able to install LOTRO. The client crashes as soon as I login and I see the following errors on debug : 

err:module:import_dll Loading library ncrypt.dll (which is needed by L"C:\\Program Files\\StandingStoneGames\\The Lord of the Rings Online\\libcef.dll") failed (error c000007b).
err:module:import_dll Library libcef.dll (which is needed by L"C:\\Program Files\\StandingStoneGames\\The Lord of the Rings Online\\lotroclient.exe") not found
err:module:LdrInitializeThunk Main exe initialization for L"C:\\Program Files\\StandingStoneGames\\The Lord of the Rings Online\\lotroclient.exe" failed, status c0000135

any recommendations?

Replies

Monday 23 December 2019 at 20:29
I found that Ncrypt started to be (partially) supported from Wine v1.9.15 (2016).
falgn0n Saturday 24 October 2015 at 16:28
falgn0n

Message

This is really more of an update.

I reloaded my system (for an unrelated reason) with Linux Mint Cinnamon 17.2, 64-bit.

LOTRO is working in Playonlinux, but I had to install proprietary (fglrx) drivers for my AMD HD7750 - the launcher would crash until I did this.

Again, this is the process I followed (to finally get it working):

- Instlalled the proprietary AMD drivers

- Started PlayOnLinux and selected "Install non-listed program"

 - Configured Wine with DXFullSetup, DotNet35 SP1, VCRun2005

 - Also configure Wine to emulate a virtual desktop at the resolution setting of my monitor (which is 1600x900)

 - When it prompted for "Choose file to run", I copied the game files into "~/.PlayOnlinux/wineprefix/lotro/drive_c/lotro/

 - I ran the following 2 commands in Linux terminal (after all the game files had been copied in) :

# chown -R myuser:mygroup ~/.PlayOnlinux/wineprefix/*

# chmod -R 777 ~/.PlayOnlinux/wineprefix/*

(Not sure how necessary this is)

 - Selected "TurbineInvoker.exe" as the file to run

  -  It runs, sometimes crashes, but that's fine - PlayOnLinux finishes setting it up

After this, I select the shortcut (both "TurbineInvoker.exe" * "TurbineLauncher.exe" work equally well)

And bam. I'm Playing Lotro.

 

Replies

Anonymous
Monday 4 April 2016 at 15:52
will the above work on 32bit linux mint?
Monday 4 April 2016 at 16:34
No reason it shouldn't, hygieia, the Wine version is 32bit after all
Anonymous
Monday 4 April 2016 at 17:25
thankyou very much. Currently downloading the files you stated above on linux mint. Taking ages but hopefully worthwhile. Ihave lotro logging in and opening in wine but then the games moves incredibly slow. I had d393 which gave error 128 about resolution settings and could not even login but a bit better now I changed to opengl. At least I can login and see game even tho it is far to slow to play. hope it works better on playlinux
Anonymous
Sunday 29 May 2016 at 13:11
Im starting the process again with playonlinux and lotro. I need a full download so at present am downloading lotrolive.exe installation file from turbine. What is my next move to I choose it when asked choose which file to run or should I wait till whole game downloads?
petch Saturday 5 September 2015 at 0:37
petch
Developer

Message

Where is the install script?

Replies

Saturday 24 October 2015 at 16:14
no install script. In Playonlinux - Add non-listed program, use current version of Wine, confuger DXFull, DotNet35 & VCRun2005 ... I copied the game files from an existing Windows install ... and that's it. the launcher is a little slow and a little buggy, it (eventually) loads and I login and play
Saturday 24 October 2015 at 16:16
I am not a developer and I can't write scripts. I tinker until I get it working :)
Monday 23 December 2019 at 22:20
The notes posted by Falgn0n (2015):
Tested (2015) on : Linux Version: Debian 8 (Jessie) Graphics Card: Radeon HD7750 Wine Version: 1.7.50
User (falgn0n) notes: Lotro Launcher is a bit buggy, crashes at times, just restart and it goes. Needed to fiddle with display settings in windowed mode until I could successfully configure the correct resolution for fullscreen. Once the game launches, everything works (so far).